%define	name	imlib2
%define version 1.4.1.000
%define subrel  1
%define release	%mkrel 3
%define major	1
%define libname	%mklibname %{name}_ %{major}
%define develname %mklibname %name -d
%define enable_mmx 0
%{?_with_mmx: %global enable_mmx 1}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Powerful image loading and rendering library
License:	BSD
URL:		http://enlightenment.org/Libraries/Imlib2/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}
# Same as upstream tarball except the copyright-breaking /data/fonts
# subdirectory is entirely removed - AdamW 2008/03
Source0:	http://download.enlightenment.org/snapshots/2008-01-25/%name-%version.tar.bz2
Patch0:		imlib2-1.2.2-64bit-tiff-loader.patch
Patch1:     imlib2-1.2.2-CVE-2006-4809.patch
# (misc) not sure if needed, as this is a cleaned version of the original patch of
# bug 27005. Someone should check with upstream
Patch2:     imlib2-1.2.2-CVE-2006-4807-4808.patch
Patch3:     imlib2-1.2.2-CVE-2006-4806.patch
# Drop data/fonts from the build, it only contains copyright-
# infringing fonts - AdamW 2008/03 (#38258)
Patch4:		imlib2-1.4.0-fontclean.patch
Patch5:		imlib2-1.4.1.000-CVE-2008-2426.patch
Patch6:		imlib-CVE-2008-5187.patch
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	libtiff-devel
BuildRequires:	ungif-devel
BuildRequires:	X11-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

Build Options:
--with mmx      Enable mmx cpu detection (10% - 30% speedup)

%package -n	%{libname}
Summary:	Powerful image loading and rendering library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-filters = %{version}-%{release}
Requires:	%{libname}-loaders = %{version}-%{release}

%description -n	%{libname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.


%package -n	%develname
Summary:	Imlib2 headers, static libraries and documentation
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# (tv) only ever released major was 1, so keep smooth upgrading for old distro in future releases:
Obsoletes:  %mklibname %{name}_ 1 -d

%description -n	%develname
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package contains various headers and static libraries for %{name}.
You need this package if you want to compile or develop any applications
that need %{name}.


%package -n	%{libname}-filters
Summary:	Imlib2 basic plugin filters set
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-filters
This package contains Imlib2 basic set of plugin filters.


%package -n	%{libname}-loaders
Summary:	Imlib2 loader for various graphic formats
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-loaders
This package contains Imlib2 image loader/saver for various graphic formats,
such as jpeg, gif, tiff, xpm etc.

%package data
Summary:	Imlib2 data
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description data
This package contains Imlib2 data.

%prep
%setup -q
#%patch0 -p1 -b .64bit
%patch1 -p1 
%patch2 -p0 
%patch3 -p0 
%patch4 -p1 -b .font
%patch5 -p1
%patch6 -p1 -b .cve-2008-5187

%build
# Needed by patch4
autoreconf
%configure2_5x \
%if %enable_mmx
	--enable-mmx=yes \
%else
	--enable-mmx=no \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove files not bundled
rm -f	%{buildroot}%{_libdir}/%{name}/loaders/*.a \
	%{buildroot}%{_libdir}/%{name}/filters/*.a

%multiarch_binaries %{buildroot}%{_bindir}/imlib2-config

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post  -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING
%{_libdir}/lib*.so.*

%files -n %develname
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html doc/imlib2.gif doc/blank.gif
%{_bindir}/*
%multiarch %{_bindir}/imlib2-config
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{libname}-filters
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/%{name}/filters

%files -n %{libname}-loaders
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/%{name}/loaders

%files data
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_datadir}/%{name}




%changelog
* Mon Jan 19 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.4.1.000-3.1mdv2009.0
- P6: security fix for CVE-2008-5187

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 1.4.1.000-3mdv2009.0
+ Revision: 274336
- add patch fixing CVE-2008-2426

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1.000-2mdv2009.0
+ Revision: 264684
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 1.4.1.000-1mdv2009.0
+ Revision: 213939
- New version 1.4.1.000

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 1.4.0.003-4mdv2008.1
+ Revision: 180284
- really use regenerated tarball, add necessary extra bit to fontclean.patch
- drop non-freely-licensed font files (#38258):
  	+ fontclean.patch: patches build process not to look for fonts dir
  	+ regenerate tarball without the offending directory

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0.003-3mdv2008.1
+ Revision: 150286
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Vincent Guardiola <vguardiola@mandriva.com>
    - Test upload

* Fri Sep 14 2007 Michael Scherer <misc@mandriva.org> 1.4.0.003-2mdv2008.0
+ Revision: 85473
- add security fixes from #27005

  + Antoine Ginies <aginies@mandriva.com>
    - fix source
    - CVS SNAPSHOT 20070830, release 1.4.0.003

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0.000-4mdv2008.0
+ Revision: 44019
- new devel library policy

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0.000-3mdv2008.0
+ Revision: 32618
- CVS SNAPSHOT 20070529, release 1.4.0.000

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0.000-2mdv2008.0
+ Revision: 30650
- increase release to get the good SRPM uploaded
- adjust version
- fix an error in spec file (Version: was updated instead of the macro version)

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0.000-1mdv2008.0
+ Revision: 30616
- CVS snapshot 20070524, release 1.4.0.000
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0-1mdv2008.0
+ Revision: 29139
- release 1.4.0


* Fri Jul 21 2006 Stew Benedict <sbenedict@mandriva.com> 1.2.2-3mdv2006.0
- P0: fix for 64bit crash in tiff loader (#22355)

* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-2mdk
- use %%mkrel
- fix URL

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.1-2mdk
- Rebuild

* Tue Jun 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdk 
- new release
- spec cleanup
- dropped patches, problems fixed upstream

* Thu Mar 24 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-3mdk 
- fix issue with dynamic loading that broke perl bindings (patch stolen from Debian, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=293815)

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-2mdk
- lib64 fixes

* Wed Jan 26 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-1mdk 
- new release
- rpmbuildupdate aware
- drop all patches (merged upstream)
- data subpackage
- multiarch fix

* Fri Oct 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-4mdk
- Patch2: security fix for BMP crasher

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-3mdk
- fix gcc-3.4 patch (P1)

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-2mdk
- fix gcc-3.4 build (P1)

* Thu May 27 2004 Abel Cheung <deaddog@deaddog.org> 1.1.0-1mdk
- New version
- Redo patch0 (sing along: "libtool, bang bang...")

* Tue Sep 02 2003 Abel Cheung <deaddog@deaddog.org> 1.0.6-4mdk
- mklibname
- remove RPM_BUILD_ROOT in install instead of prep
- remove various static module files not under $libdir
- remove packager tag
- how can rasterman's stuff be GPL'ed
- strip redundant BuildRequires and Requires
- configure2_5x, makeinstall_std
- DIRM fix
- remove duplicates in file lists
- convert this spec to UTF-8
- rpmlint fix (avoid non-pic library by overwriting libtool stuff with
  libtoolize)
- Patch0: Avoid /home in .la files
- Where should /usr/lib/loaders go? Can't please both distriblint and
  rpmlint

